DateFormat Class Referenceabstract

DateFormat is an abstract class for date/time formatting patterned after java.text.DateFormat. More...

Inheritance diagram for DateFormat:

## Public Member Functions

virtual | ~DateFormat ()
| Destructor. More...
virtual void | format (LogString &s, log4cxx_time_t tm, log4cxx::helpers::Pool &p) const =0
| Formats an log4cxx_time_t into a date/time string. More...
virtual void | setTimeZone (const TimeZonePtr &zone)
| Sets the time zone. More...
virtual void | numberFormat (LogString &s, int n, log4cxx::helpers::Pool &p) const
| Format an integer consistent with the format method. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions

| DateFormat ()
| Constructor. More...

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

DateFormat is an abstract class for date/time formatting patterned after java.text.DateFormat.

## Constructor & Destructor Documentation

virtual ~DateFormat | ( |  | ) |

virtual

Destructor.

DateFormat | ( |  | ) |

protected

Constructor.

## Member Function Documentation

virtual void format | ( | LogString & | s,
|  | log4cxx_time_t | tm,
|  | log4cxx::helpers::Pool & | p
| ) |  | const

pure virtual

Formats an log4cxx_time_t into a date/time string.

Parameters

  s | string to which the date/time string is appended.
  tm | date to be formatted.
  p | memory pool used during formatting.

Implemented in CachedDateFormat, SimpleDateFormat, StrftimeDateFormat, and RelativeTimeDateFormat.

virtual void numberFormat | ( | LogString & | s,
|  | int | n,
|  | log4cxx::helpers::Pool & | p
| ) |  | const

virtual

Format an integer consistent with the format method.

Parameters

  s | string to which the numeric string is appended.
  n | integer value.
  p | memory pool used during formatting.

Remarks
  This method is used by CachedDateFormat to format the milliseconds.

Reimplemented in CachedDateFormat.

virtual void setTimeZone | ( | const TimeZonePtr & | zone | ) |

virtual

Sets the time zone.

Parameters

  zone | the given new time zone.

Reimplemented in SimpleDateFormat, and StrftimeDateFormat.

The documentation for this class was generated from the following file:

- dateformat.h